@font-face {
  font-family: "OoohBaby-Regular";
  font-style: normal;
  font-weight: 400;
  src: url("/assets/font/OoohBaby-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Karla-Regular";
  font-style: normal;
  font-weight: 400;
  src: url("/assets/font/Karla-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Playfair-Regular";
  font-style: normal;
  font-weight: 600;
  src: url("/assets/font/Playfair-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Playfair-Semibold";
  font-style: normal;
  font-weight: 600;
  src: url("/assets/font/Playfair-Semibold.woff2") format("woff2");
}
.header {
  z-index: 1;
}
.header__container {
  display: flex;
  padding: 30px 0;
}
.header__logo {
  display: block;
}
.header.-home {
  position: absolute;
}
.header:not(.-home) .header__container {
  justify-content: center;
  border-bottom: 1px solid rgba(99, 69, 40, 0.16);
}

.footer {
  color: #ffffff;
  background-color: #452508;
}
.footer__container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 50px 0;
}
.footer__container.-top {
  gap: 50px;
}
.footer__container.-bottom {
  border-top: 1px solid rgba(255, 255, 255, 0.16);
}
.footer__title {
  margin-bottom: 16px;
  font-family: "Playfair-Semibold";
  font-size: 20px;
  font-size: 1.25rem;
  line-height: 26px;
  line-height: 1.625rem;
}
.footer__address {
  font-style: normal;
  gap: 8px;
}
.footer__address-item {
  display: flex;
  align-items: center;
}
.footer__address-item .key {
  margin-right: 8px;
  font-family: "Playfair-Semibold";
  font-size: 20px;
  font-size: 1.25rem;
  line-height: 28px;
  line-height: 1.75rem;
}
.footer__address-item .value {
  margin-right: 30px;
  font-family: "Karla-Regular";
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 22px;
  line-height: 1.375rem;
}
.footer__socials {
  display: flex;
  gap: 12px;
}
.footer__socials-item {
  width: 45px;
  height: 45px;
}
.footer__socials-item svg {
  width: 100%;
  height: auto;
}
.footer__socials-item svg .hover-color {
  opacity: 0;
  transition-property: all;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
}
.footer__socials-item svg .hover-white {
  opacity: 1;
  transition-property: all;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
}
.footer__socials-item:hover svg .hover-color {
  opacity: 1;
}
.footer__socials-item:hover svg .hover-white {
  opacity: 0;
}
.footer__links {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 10px;
}
.footer__link {
  font-family: "Karla-Regular";
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 22px;
  line-height: 1.375rem;
  transition-property: all;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
}
.footer__link.-copyright {
  order: 1;
  margin: 30px 0;
}
.footer__link.-gricreative {
  display: block;
  width: 63px;
}
.footer__link.-gricreative svg {
  width: 100%;
  height: auto;
}
.footer__link:hover:not(.-copyright) {
  opacity: 0.8;
}

*,
*:after,
*:before {
  box-sizing: border-box;
  outline: none;
}

html {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-variant-ligatures: none;
  -webkit-font-variant-ligatures: none;
  text-rendering: optimizeLegibility;
}

body {
  position: relative;
  margin: 0;
  width: 100vw;
  max-width: 100%;
  min-height: 100vh;
  font-family: "Playfair-Regular";
  font-weight: 400;
  font-size: 16px;
  line-height: 1.5;
  background: url("/assets/image/diary/bg.png");
  background-repeat: repeat-y;
  background-size: 100%;
  background-position: top center;
  background-color: #F6E6D7;
  color: #634528;
  scroll-behavior: smooth;
  overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
  transition-property: all;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
}

p {
  margin: 0 0 20px 0;
  font-size: 18px;
  font-size: 1.125rem;
  line-height: 24px;
  line-height: 1.5rem;
}

main, header, footer {
  position: relative;
  width: 100%;
}

main {
  min-height: calc(100vh - 480px);
}

img {
  display: block;
  max-width: 100%;
}

.container, .container.-sm, .container.-md, .container.-lg {
  --max-width: 1270px;
  margin-inline: auto;
  width: min(100% - 3rem, var(--max-width));
}
.container.-lg {
  --max-width: 1128px;
}
.container.-md {
  --max-width: 1024px;
}
.container.-sm {
  --max-width: 680px;
}
.container.-full {
  width: 100%;
  padding: 0 24px;
}

.button-style {
  display: flex;
  align-items: center;
  text-transform: uppercase;
  font-family: "Playfair-Semibold";
  font-size: 20px;
  font-size: 1.25rem;
  line-height: 32px;
  line-height: 2rem;
  color: #FAECDD;
  background-color: transparent;
  border: none;
  transition-property: all;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
  cursor: pointer;
}
.button-style:after {
  content: "";
  position: relative;
  left: 14px;
  width: 27px;
  height: 6px;
  background-image: url("/assets/svg/diary/arrow-icon-light.svg");
  background-repeat: no-repeat;
}
.button-style:hover {
  color: #ffffff;
}
.button-style.-dark {
  color: #5C3B1A;
}
.button-style.-dark:after {
  background-image: url("/assets/svg/diary/arrow-icon-dark.svg");
}
.button-style.-dark:hover {
  color: #452508;
}

[hidden],
.-hidden {
  display: none !important;
}

.ql-align-center {
  text-align: center;
}

@font-face {
  font-family: "OoohBaby-Regular";
  font-style: normal;
  font-weight: 400;
  src: url("/assets/font/OoohBaby-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Karla-Regular";
  font-style: normal;
  font-weight: 400;
  src: url("/assets/font/Karla-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Playfair-Regular";
  font-style: normal;
  font-weight: 600;
  src: url("/assets/font/Playfair-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Playfair-Semibold";
  font-style: normal;
  font-weight: 600;
  src: url("/assets/font/Playfair-Semibold.woff2") format("woff2");
}
.static {
  padding: 80px 0;
}
.static .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
.static img {
  width: 100px;
}
.static p {
  margin: 0;
  font-family: "Playfair-Semibold";
  font-size: 32px;
  font-size: 2rem;
  line-height: 40px;
  line-height: 2.5rem;
}
@media only screen and (min-width: 768px) {
  .footer__container {
    flex-direction: row;
  }
  .footer__container.-top {
    padding: 75px 0;
  }
  .footer__container.-bottom {
    padding: 22px 0;
  }
  .footer__title {
    font-size: 18px;
    font-size: 1.125rem;
    line-height: 24px;
    line-height: 1.5rem;
  }
  .footer__address-item .key {
    font-size: 18px;
    font-size: 1.125rem;
    line-height: 24px;
    line-height: 1.5rem;
  }
  .footer__address-item .value {
    font-size: 13px;
    font-size: 0.8125rem;
    line-height: 22px;
    line-height: 1.375rem;
  }
  .footer__socials-item {
    width: 32px;
    height: 32px;
  }
  .footer__links {
    flex-direction: row;
    justify-content: center;
    gap: 36px;
  }
  .footer__link {
    font-size: 13px;
    font-size: 0.8125rem;
    line-height: 22px;
    line-height: 1.375rem;
  }
  .footer__link.-copyright {
    order: 0;
    margin: 0 36px 0 0;
  }
  .static {
    padding: 120px 0;
  }
  .static .container {
    gap: 30px;
  }
  .static img {
    width: 190px;
  }
  .static p {
    font-size: 40px;
    font-size: 2.5rem;
    line-height: 60px;
    line-height: 3.75rem;
  }
}
@media only screen and (min-width: 1024px) {
  p {
    font-size: 20px;
    font-size: 1.25rem;
    line-height: 26px;
    line-height: 1.625rem;
  }
}